.threshold_post_wrapper .threshold_post__row {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 24px;
    align-items: top;
    justify-content: space-between;
    font-family: 'Inter', sans-serif;
}

@media only screen and (min-width: 768px) {
    .threshold_post_wrapper .threshold_post__row {
        grid-template-columns: repeat(2, 1fr);
        gap: 24px;
    }
}

@media only screen and (min-width: 992px) {
    .threshold_post_wrapper .threshold_post__row {
        grid-template-columns: repeat(3, 1fr);
        gap: 24px;
    }
}

.threshold_post__row .threshold_post__inner_container {
    --tw-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    background: rgb(255 255 255);
    border: 1px solid rgb(255 255 255);
    border-radius: 15px;
}

.threshold_post__row .threshold_post__feature {
    position: relative;
}
.threshold_post__feature .wp-post-image{
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    width: 100%;
    height: 300px;
    object-fit: cover;

}
.threshold_post__feature .blog_post_category {
    padding: 5px 12px;
    background: var(--e-global-color-secondary);
    border-radius: 100px;
    position: absolute;
    top: 13px;
    left: 13px;
    transition: 0.5s;
    font-size: 14px;
    font-weight: 500;
    color: var(--e-global-color-text);
    font-family: 'Inter', sans-serif;
}

/* Post info container */
.threshold_post__inner_container .blog_post_info_container {
    padding: 15px 20px 20px 20px;
}
.blog_post_info_container .blog_post_date span{
    font-size: 15px;
    font-weight: 400;
    color: rgb(48 49 52);
    font-family: 'Inter', sans-serif;
}
.blog_post_info_container .blog_post_title{
    font-size: 19px;
    line-height: 1.4em;
    font-weight: 600;
    color: var( --e-global-color-text );
    margin: 10px 0;
    font-family: 'Inter', sans-serif;
}
.blog_post_info_container .blog_post_content {
    color: var(--e-global-color-kadence4);
    font-size: 16px;
    font-weight: 400;
    margin: 10px 0;
    font-family: 'Inter', sans-serif;
}
.blog_post_info_container .blog_post_content_wrapper p {
    margin: 0;
}

.blog_post_info_container .post_author_learn_more_bnt{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 15px;
}

.blog_post_info_container .post_author_learn_more_bnt{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}


.blog_post_info_container .learn_more_btn{
    font-size: 16px;
    font-weight: 500;
    color: var(--e-global-color-secondary);
    font-family: 'Inter', sans-serif;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 5px;
    transition: all 0.3s;
}
/* make a hover effice with right side animation */
.blog_post_info_container .learn_more_btn:hover{
    transform: translateX(10px);
}

.blog_post_info_container .learn_more_btn i{
    font-size: 16px;
    color: var(--e-global-color-secondary) !important;
}


.blog_post_info_container .blog_post_author_wrapper{
    display: flex;
    gap: 10px;
    align-items: center;
    text-decoration: none;
}

.blog_post_author_wrapper .auther_display_name {
    font-size: 15px;
    font-weight: 400;
    color: rgb(48 49 52);
    font-family: 'Inter', sans-serif;
    margin-top: 0;
    text-decoration: none;
}
.post_author_date_wrapper {
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
}

.blog_post_navigation {
    margin-top: 30px;
    text-align: center;
}
.blog_post_navigation a{
    font-size: 20px;
    font-weight: 500;
    color: rgb(48 49 52);
    margin: 0px 10px;
    font-family: 'Inter', sans-serif;
}
.blog_post_navigation span{
    font-size: 20px;
    font-weight: 500;
    color: var(--e-global-color-primary);
    margin: 0px 10px;
    font-family: 'Inter', sans-serif;
}
.blog_post_navigation .current {
    font-size: 20px;
    font-weight: 500;
    margin: 0px 10px;
    font-family: 'Inter', sans-serif;
}
.threshold_no_posts_message{
    text-align: center;
    padding: 40px 20px;
}
.threshold_no_posts_message h2{
    font-size: 24px;
    font-weight: 600;
    color: var(--e-global-color-text);
    margin-bottom: 10px;
    font-family: 'Inter', sans-serif;
}
.threshold_no_posts_message p{
    font-size: 18px;
    font-weight: 400;
    color: var(--e-global-color-text);
    margin: 0;
    font-family: 'Inter', sans-serif;
}